UPDATE-MINIRAMFS(8)

NAME
update-miniramfs - generate a miniramfs image

SYNOPSIS
update-miniramfs {-c|-d|-u} [-k version]
update-miniramfs -h

DESCRIPTION
The update-miniramfs script manages your miniramfs images on your local box. It keeps track of the existing miniramfs archives in /boot. There are three modes of operation create, update or delete. You must at least specify one of those modes. The miniramfs is a gzipped cpio archive containing the absolute minimum required to find and load the real initramfs. Once this is loaded boot is handed off to the initramfs.

OPTIONS

-k  version
    Set the specific kernel version to generate a miniramfs for. For example the output of uname -r for your currently running kernel. This argument is mandatory for create/delete and ignored for update.

-c  This mode creates a new miniramfs archive.

-u  This mode updates all miniramfs archives and creates new ones for all newly installed kernels.

-d  This mode deletes an existing miniramfs archive.

-h, --help
    Print a short help page describing the available options in update-miniramfs.

EXAMPLES
Update the miniramfs of all installed kernels (including those currently without miniramfs archives):

update-miniramfs -u Create the miniramfs for a specific kernel:

update-miniramfs -c -k 6.0.0-6-amd64

AUTHOR
Miniramfs is written by Arnaud Ferraris <aferraris@debian.org>, Jarrah Gosbell <debian@undef.tools>.

SEE ALSO
u-boot-update(8)